Bug 918702 - better error message when cache overflows
Summary: better error message when cache overflows
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 18:15 UTC by Nathan Kinder
Modified: 2014-06-18 02:56 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.1.6-15.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:51:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nathan Kinder 2013-03-06 18:15:00 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/342

ticket3 gives the ability to increase the acl cache to avoid overflows - but when you do get an overflow, all you get is this cryptic error message:

[17/Apr/2012:17:38:20 -0600] acl__TestRights - cache overflown

Not only that, but you get hundreds of these, clogging up your errors log.  We need to do two things
* print a message like this:
Your ACL cache of %d slots has overflowed.  This can happen when you have many ACIs.  This ACI evaluation requires %d slots to cache.  You can increase your max value by setting the attribute nsslapd-aclpb-max-selected-acls in cn=ACL Plugin,cn=plugins,cn=config to a value higher.  A server restart is required.

* print the error message only once per ACI evaluation instead of hundreds of times

Comment 1 Rich Megginson 2013-10-01 23:24:17 UTC
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.

Comment 3 Sankar Ramalingam 2014-02-18 10:18:31 UTC
Launched ACI longduration tests with RHEL7.0 389-ds-base builds. Neither the test report nor the DS error logs show any error messages as "acl__TestRights - cache overflown". Hence, marking the bug as Verified.

Build tested - 389-ds-base-1.3.1.6-18

Comment 4 Ludek Smid 2014-06-13 11:51:39 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.